"Fossies" - the Fresh Open Source Software Archive

Member "licq-1.8.2/plugins/qt4-gui/doc/INSTALL" (1 Jun 2014, 1545 Bytes) of archive /linux/misc/licq-1.8.2.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 Basic Installation of Qt4-GUI Plugin for Licq
    2 =============================================
    3 
    4 Requirements for Qt4-GUI:
    5   - X11 header files (xfree-devel or xorg-devel)
    6   - Qt 4.3.2 or greater. Most distributions come with packages like Qt and
    7     Qt-devel, you need both, please install the missing ones!
    8   - A C++ compiler and libstc++-devel.  This compiler must be the same
    9           version that was used to compile Qt with.  If it is not, you will
   10           probably experience a crash on startup.
   11   - cmake 2.4.2 or greater.
   12   - GNU make
   13 
   14 
   15 Optional:
   16   - Hunspell including header files. Provides spell checking in Qt4-Gui.
   17           Note: If KDE 4 support is enabled, the built in spell checking in
   18           KDE is used instead.
   19 
   20 
   21 Building instructions:
   22   1. Unpack, build and install Licq and any other plugins you need.
   23 
   24   2. Go to the Qt4-Gui directory and make a build directory.
   25      > cd plugins/qt4-gui
   26      > mkdir build
   27      > cd build
   28 
   29   3. Run cmake to generate build files.
   30      > cmake ..
   31      By default Qt4-Gui is set to be installed in /usr/local. To specify a
   32      different base directory specify an install prefix to cmake.
   33      > cmake -DCMAKE_INSTALL_PREFIX=/opt/licq ..
   34      To build with KDE 4 support, add -DWITH_KDE=ON to the command line as
   35      well.
   36 
   37   4. Build Qt4-Gui.
   38      > make
   39      Depending on your system, you may have to use gmake instead of make.
   40 
   41   5. Install Qt4-Gui. Unless you specified a base directory where you have
   42      write privileges you must run this command as root.
   43      > make install
   44